JustPaste.it

If You Are Having Issues With Mods in Complementary:

- Turn on the Compatibility Mode in the main menu of Shader Options. This is needed for compatibility with many mods.
- Ensure that you are using the newest Optifine version for your Minecraft version, unless you're on Mc 1.16. In Mc 1.16 some mods prefer Optifine G7 and some prefer Optifine G8.
- If you have Astral Sorcery (Mc 1.12) mod: Open the mod config file, set "S:weakSkyRenders" to "0". (Like this.)
- If you have Astral Sorcery (Mc 1.15) mod: Open the mod config file, set "weakSkyRenders" to "[0]". (Like this.)

- If you have Astral Sorcery (Mc 1.16) mod: Open the mod config file, set "skyRenderingEnabled" to "[]". (Like this.)
- If you have Advanced Rocketry mod: Open the mod config file, set "B:overworldSkyOverride" to "false".
- If you have Botania mod: Open the mod config file, set "B:fancySkybox.enable" AND "B:shaders.enabled" to "false".
- If you have Computer Craft: Tweaked mod: Open the mod config file, set "S:monitor_renderer" to "gui.computercraft:config.peripheral.monitor_renderer.vbo".
- If you have Thermal Dynamics mod: Add this mod to your modpack.
- If you have The Midnight (Mc 1.12) mod: Open the mod config file, set "B:rift_shaders" to "false".
- If you have The Betweenlands mod: Open the mod config file, set "B:use_shader" to "false".
- If you have Rats mod: Go to Video Settings > Performance, and set "Fast Render" to OFF.
- If you have CoFH Core mod: Open the mod config file, set "Render Area Block Breaking" to "false".
- If you have Flywheel mod: Only known fix is removing the mod.

- If you have Snow Real Magic mod: Make sure to use SnowRealMagic version 1.16.3-2.2.2 or above.
- If you have BetterEnd Forge Port mod: Update your mod to the latest version.

- If you have Entity Culling mod: Open the mod config file, set "entityShadowsCullingLessAggressiveMode" to "true".

- If you have Mana and Artifice mod: Open the mod config file, set "hudMode" to "1".
- If you have Psi mod: Open the mod config file, set "useShaders" to "false".
- If you have Extra Utilities mod: Open the mod config file, set "I:"Deep Dark"" to "10".
- If you have Clientcommands (Mc 1.17 or above) mod: Make sure you get the latest version of the mod from GitHub.
- If you have Clientcommands (Mc 1.16 or below) mod: Only known fix is removing the mod.
- If you have The Aether (Mc 1.16) mod: Open the mod config file, set "Disables Aether custom skybox" to "true".

- If you are still having issues, feel free to contact me in Complementary Discord Server

 

Note: Some of the config tweaks mentioned here might not be available in some versions of those mods. Ignore that tweak if the specified config setting, or something that is very similar to it, doesn't exist on your end.